package com.chaozhanggui.dao.system.entity;

import java.io.Serializable;
import java.util.Date;

public class TbPlussDeviceSignUnbind implements Serializable {
    private Integer id;

    private String orderno;

    private String solecode;

    private String vendercode;

    private String vendermodel;

    private String sn;

    private String merchantcode;

    private String merchantname;

    private String mchid;

    private String status;

    private Date createdt;

    private String reason;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getOrderno() {
        return orderno;
    }

    public void setOrderno(String orderno) {
        this.orderno = orderno == null ? null : orderno.trim();
    }

    public String getSolecode() {
        return solecode;
    }

    public void setSolecode(String solecode) {
        this.solecode = solecode == null ? null : solecode.trim();
    }

    public String getVendercode() {
        return vendercode;
    }

    public void setVendercode(String vendercode) {
        this.vendercode = vendercode == null ? null : vendercode.trim();
    }

    public String getVendermodel() {
        return vendermodel;
    }

    public void setVendermodel(String vendermodel) {
        this.vendermodel = vendermodel == null ? null : vendermodel.trim();
    }

    public String getSn() {
        return sn;
    }

    public void setSn(String sn) {
        this.sn = sn == null ? null : sn.trim();
    }

    public String getMerchantcode() {
        return merchantcode;
    }

    public void setMerchantcode(String merchantcode) {
        this.merchantcode = merchantcode == null ? null : merchantcode.trim();
    }

    public String getMerchantname() {
        return merchantname;
    }

    public void setMerchantname(String merchantname) {
        this.merchantname = merchantname == null ? null : merchantname.trim();
    }

    public String getMchid() {
        return mchid;
    }

    public void setMchid(String mchid) {
        this.mchid = mchid == null ? null : mchid.trim();
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status == null ? null : status.trim();
    }

    public Date getCreatedt() {
        return createdt;
    }

    public void setCreatedt(Date createdt) {
        this.createdt = createdt;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason == null ? null : reason.trim();
    }
}